# LatticePoint(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``LatticePoint`(bpy_struct)

  Point in the lattice grid

  `co`

    Original undeformed location used to calculate the strength of the deform effect (edit/animate the Deformed Location instead)

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0), (readonly)

  `co_deform`

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `groups`

    Weights for the vertex groups this point is member of

    Type: | `bpy_prop_collection` of `VertexGroupElement`, (readonly)

  `select`

    Selection status

    Type: | boolean, default False

  `weight_softbody`

    Softbody goal weight

    Type: | float in [0.01, 100], default 0.0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Lattice.points` |